For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download Document

Service for downloading a stored document using the pre-signed download URL.

The download URL is valid for 5 years from its generation. The response is a redirect to the file's actual location.

When used in a browser, the browser will follow the redirect transparently for the user.

Endpoint

GET /custody/download/{downloadToken}

Route parameters

Parameter
Type
Required
Description

downloadToken

string

Yes

Download Token of the pre-signed URL (JWT valid for 5 years).

Responses

302 Found

Redirects to the file's direct download URL.

Response headers

Header
Type
Description

Location

string

Direct file download URL.

Content-Type

string

File content type.

401 Unauthorized

403 Forbidden

404 Not Found

502 Bad Gateway

504 Gateway Timeout

Last updated